    </main>
    <?php if (!isset($is_auth_page)): ?>
    <footer class="footer-2025">
        <div class="container">
            <div class="row">
                <div class="col-lg-4 col-md-6 mb-4 mb-md-0">
                    <div class="footer-2025-widget">
                        <div class="footer-2025-logo">
                            <img src="<?php echo function_exists('get_optimized_image') ? get_optimized_image('images/logo.png', 200, 50) : 'images/logo.png'; ?>" alt="LelangMobil" class="logo-light">
                            <img src="<?php echo function_exists('get_optimized_image') ? get_optimized_image('images/logo-dark.png', 200, 50) : 'images/logo-dark.png'; ?>" alt="LelangMobil" class="logo-dark">
                        </div>
                        <p class="footer-2025-description">Platform lelang mobil online terpercaya di Indonesia. Temukan mobil impian Anda dengan harga terbaik melalui sistem lelang yang transparan dan aman.</p>
                        <div class="footer-2025-social">
                            <a href="#" class="social-2025-icon"><i class="fab fa-facebook-f"></i></a>
                            <a href="#" class="social-2025-icon"><i class="fab fa-twitter"></i></a>
                            <a href="#" class="social-2025-icon"><i class="fab fa-instagram"></i></a>
                            <a href="#" class="social-2025-icon"><i class="fab fa-youtube"></i></a>
                        </div>
                    </div>
                </div>
                <div class="col-lg-2 col-md-6 mb-4 mb-md-0">
                    <div class="footer-2025-widget">
                        <h4 class="footer-2025-title">Tautan Cepat</h4>
                        <ul class="footer-2025-links">
                            <li><a href="index.php">Beranda</a></li>
                            <li><a href="auctions.php">Lelang</a></li>
                            <li><a href="how-it-works.php">Cara Kerja</a></li>
                            <li><a href="contact.php">Kontak</a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6 mb-4 mb-md-0">
                    <div class="footer-2025-widget">
                        <h4 class="footer-2025-title">Layanan</h4>
                        <ul class="footer-2025-links">
                            <li><a href="#">Jual Mobil</a></li>
                            <li><a href="#">Beli Mobil</a></li>
                            <li><a href="#">Inspeksi Mobil</a></li>
                            <li><a href="#">Bantuan</a></li>
                            <li><a href="#">FAQ</a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6">
                    <div class="footer-2025-widget">
                        <h4 class="footer-2025-title">Hubungi Kami</h4>
                        <ul class="footer-2025-contact">
                            <li>
                                <div class="contact-2025-icon"><i class="fa fa-map-marker-alt"></i></div>
                                <div class="contact-2025-text">Jl. Raya Utama No. 123, Jakarta</div>
                            </li>
                            <li>
                                <div class="contact-2025-icon"><i class="fa fa-phone-alt"></i></div>
                                <div class="contact-2025-text">+62 21 1234 5678</div>
                            </li>
                            <li>
                                <div class="contact-2025-icon"><i class="fa fa-envelope"></i></div>
                                <div class="contact-2025-text">info@lelangmobil.com</div>
                            </li>
                            <li>
                                <div class="contact-2025-icon"><i class="fa fa-clock"></i></div>
                                <div class="contact-2025-text">Senin - Jumat: 09:00 - 17:00</div>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="footer-2025-bottom">
                <div class="row align-items-center">
                    <div class="col-md-6">
                        <p class="footer-2025-copyright">&copy; <?php echo date('Y'); ?> LelangMobil. All Rights Reserved.</p>
                    </div>
                    <div class="col-md-6">
                        <ul class="footer-2025-bottom-links">
                            <li><a href="#">Syarat & Ketentuan</a></li>
                            <li><a href="#">Kebijakan Privasi</a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </footer>
    <?php endif; ?>
    
    <!-- Core JavaScript Files -->
    <script src="js/bootstrap.bundle.min.js"></script>
    <script src="js/mdb.min.js"></script>
    
    <!-- Custom JavaScript Files -->
    <script src="js/modern-effects.js"></script>
    <script src="js/notification-system-2025.js"></script>
    <script src="js/theme-switcher.js"></script>
    
    <script>
    document.addEventListener('DOMContentLoaded', function() {
        // Mobile menu toggle
        const mobileMenuToggle = document.querySelector('.navbar-2025-toggler');
        const mobileMenu = document.querySelector('.mobile-menu-2025');
        const mobileMenuClose = document.querySelector('.mobile-menu-2025-close');
        
        if (mobileMenuToggle && mobileMenu && mobileMenuClose) {
            mobileMenuToggle.addEventListener('click', function() {
                mobileMenu.classList.add('active');
            });
            
            mobileMenuClose.addEventListener('click', function() {
                mobileMenu.classList.remove('active');
            });
        }
        
        // Mobile dropdown toggle
        const mobileDropdownToggles = document.querySelectorAll('.mobile-dropdown-2025-toggle');
        
        mobileDropdownToggles.forEach(toggle => {
            toggle.addEventListener('click', function(e) {
                e.preventDefault();
                const dropdownMenu = this.nextElementSibling;
                dropdownMenu.classList.toggle('active');
                
                // Toggle chevron icon
                const chevron = this.querySelector('.fa-chevron-down');
                if (chevron) {
                    chevron.classList.toggle('fa-chevron-down');
                    chevron.classList.toggle('fa-chevron-up');
                }
            });
        });
        
        // Theme toggle
        const themeToggle = document.querySelector('.theme-toggle-2025');
        const themeToggleMobile = document.querySelector('.theme-toggle-mobile');
        
        function toggleDarkMode() {
            document.body.classList.toggle('dark-mode');
            const isDarkMode = document.body.classList.contains('dark-mode');
            localStorage.setItem('dark_mode', isDarkMode);
            
            // Set cookie for server-side detection
            document.cookie = `dark_mode=${isDarkMode}; path=/; max-age=${60*60*24*365}`;
        }
        
        if (themeToggle) {
            themeToggle.addEventListener('click', toggleDarkMode);
        }
        
        if (themeToggleMobile) {
            themeToggleMobile.addEventListener('click', function(e) {
                e.preventDefault();
                toggleDarkMode();
            });
        }
        
        // Back to top button
        const backToTopButton = document.querySelector('.back-to-top');
        
        if (backToTopButton) {
            window.addEventListener('scroll', function() {
                if (window.pageYOffset > 300) {
                    backToTopButton.classList.add('show');
                } else {
                    backToTopButton.classList.remove('show');
                }
            });
            
            backToTopButton.addEventListener('click', function(e) {
                e.preventDefault();
                window.scrollTo({ top: 0, behavior: 'smooth' });
            });
        }
        
        // Initialize scroll reveal animations
        const scrollRevealElements = document.querySelectorAll('.scroll-reveal');
        
        if (scrollRevealElements.length > 0) {
            const observer = new IntersectionObserver((entries) => {
                entries.forEach(entry => {
                    if (entry.isIntersecting) {
                        entry.target.classList.add('revealed');
                    }
                });
            }, { threshold: 0.1 });
            
            scrollRevealElements.forEach(element => {
                observer.observe(element);
            });
        }
    });
    </script>
    
    <?php if (isset($page_specific_js)) echo $page_specific_js; ?>
</body>
</html>

<style>
/* Footer 2025 */
.footer-2025 {
    background-color: var(--card-bg);
    padding: 60px 0 0;
    position: relative;
    margin-top: 80px;
    box-shadow: 0 -10px 30px rgba(0, 0, 0, 0.05);
}

body.dark-mode .footer-2025 {
    box-shadow: 0 -10px 30px rgba(0, 0, 0, 0.1);
}

.footer-2025::before {
    content: '';
    position: absolute;
    top: -50px;
    left: 0;
    width: 100%;
    height: 50px;
    background: linear-gradient(to bottom right, transparent 49%, var(--card-bg) 50%);
}

.footer-2025-logo {
    margin-bottom: 20px;
}

.footer-2025-logo img {
    height: 40px;
}

.footer-2025-description {
    color: var(--text-color-light);
    margin-bottom: 20px;
    font-size: 0.9rem;
    line-height: 1.6;
}

.footer-2025-social {
    display: flex;
    gap: 10px;
}

.social-2025-icon {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: rgba(67, 97, 238, 0.1);
    color: var(--primary);
    display: flex;
    align-items: center;
    justify-content: center;
    transition: var(--transition-fast);
}

.social-2025-icon:hover {
    background-color: var(--primary);
    color: white;
    transform: translateY(-3px);
}

.footer-2025-title {
    font-size: 1.25rem;
    font-weight: 600;
    margin-bottom: 20px;
    position: relative;
    padding-bottom: 10px;
}

.footer-2025-title::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 40px;
    height: 2px;
    background-color: var(--primary);
}

.footer-2025-links {
    list-style: none;
    padding: 0;
    margin: 0;
}

.footer-2025-links li {
    margin-bottom: 10px;
}

.footer-2025-links a {
    color: var(--text-color-light);
    text-decoration: none;
    transition: var(--transition-fast);
    display: inline-block;
    position: relative;
}

.footer-2025-links a::before {
    content: '→';
    margin-right: 8px;
    opacity: 0;
    transform: translateX(-10px);
    transition: var(--transition-fast);
    display: inline-block;
}

.footer-2025-links a:hover {
    color: var(--primary);
    transform: translateX(5px);
}

.footer-2025-links a:hover::before {
    opacity: 1;
    transform: translateX(0);
}

.footer-2025-contact {
    list-style: none;
    padding: 0;
    margin: 0;
}

.footer-2025-contact li {
    display: flex;
    margin-bottom: 15px;
}

.contact-2025-icon {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: rgba(67, 97, 238, 0.1);
    color: var(--primary);
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: 15px;
    flex-shrink: 0;
}

.contact-2025-text {
    color: var(--text-color-light);
}

.footer-2025-bottom {
    margin-top: 40px;
    padding: 20px 0;
    border-top: 1px solid rgba(0, 0, 0, 0.05);
}

body.dark-mode .footer-2025-bottom {
    border-color: rgba(255, 255, 255, 0.05);
}

.footer-2025-copyright {
    color: var(--text-color-light);
    margin-bottom: 0;
}

.footer-2025-bottom-links {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    justify-content: flex-end;
    gap: 20px;
}

.footer-2025-bottom-links a {
    color: var(--text-color-light);
    text-decoration: none;
    transition: var(--transition-fast);
}

.footer-2025-bottom-links a:hover {
    color: var(--primary);
}

@media (max-width: 768px) {
    .footer-2025-bottom-links {
        justify-content: flex-start;
        margin-top: 10px;
    }
}
</style>